Partially update a recording rule
PATCH
/v1/recordingrule/{id}/
const url = 'https://example.com/v1/recordingrule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","query":"example","agent_type":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","default_threshold_high_critical":1,"default_threshold_high_warning":1,"default_threshold_low_critical":1,"default_threshold_low_warning":1,"active":true,"deactivated_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/recordingrule/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "query": "example", "agent_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_threshold_high_critical": 1, "default_threshold_high_warning": 1, "default_threshold_low_critical": 1, "default_threshold_low_warning": 1, "active": true, "deactivated_at": "2026-04-15T12:00:00Z" }'Update one or more fields of an existing recording rule.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this recording rule.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
account
string format: uuid
name
string
query
string
agent_type
string format: uuid
metric_resolution_second
integer
default_threshold_high_critical
Threshold high critical
number format: double
default_threshold_high_warning
Threshold high warning
number format: double
default_threshold_low_critical
Threshold low critical
number format: double
default_threshold_low_warning
Threshold low warning
number format: double
active
boolean
created_at
string format: date-time
deactivated_at
string format: date-time
Examplegenerated
{ "name": "example", "query": "example", "agent_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_threshold_high_critical": 1, "default_threshold_high_warning": 1, "default_threshold_low_critical": 1, "default_threshold_low_warning": 1, "active": true, "deactivated_at": "2026-04-15T12:00:00Z"}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
account
string format: uuid
name
string
query
string
agent_type
string format: uuid
metric_resolution_second
integer
default_threshold_high_critical
Threshold high critical
number format: double
default_threshold_high_warning
Threshold high warning
number format: double
default_threshold_low_critical
Threshold low critical
number format: double
default_threshold_low_warning
Threshold low warning
number format: double
active
boolean
created_at
string format: date-time
deactivated_at
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
account
required
string format: uuid
name
required
string
query
required
string
agent_type
string format: uuid
metric_resolution_second
required
integer
default_threshold_high_critical
Threshold high critical
number format: double
default_threshold_high_warning
Threshold high warning
number format: double
default_threshold_low_critical
Threshold low critical
number format: double
default_threshold_low_warning
Threshold low warning
number format: double
active
boolean
created_at
required
string format: date-time
deactivated_at
string format: date-time
Examplegenerated
{ "name": "example", "query": "example", "agent_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_threshold_high_critical": 1, "default_threshold_high_warning": 1, "default_threshold_low_critical": 1, "default_threshold_low_warning": 1, "active": true, "deactivated_at": "2026-04-15T12:00:00Z"}